Getting started in EJ2 JavaScript Pager control

07 May 202513 minutes to read

This section explains you the steps required to create a simple Essential® JS 2 Pager and demonstrate the basic usage of the Pager control in a JavaScript application.

Dependencies

Below is the list of minimum dependencies required to use the Pager.

|-- @syncfusion/ej2-base
|-- @syncfusion/ej2-grids

Setup for local environment

Refer the following steps for setup your local environment.

Step 1: Create a root folder myapp for your application.

Step 2: Create myapp/resources folder to store local scripts and styles files.

Step 3: Create myapp/index.js and myapp/index.html files for initializing Essential® JS 2 Pager control.

Adding Syncfusion® resources

The Essential® JS 2 Pager control can be initialized by using either of the following ways.

  • Using local script and style.
  • Using CDN link for script and style.

Using local script and style

You can get the global scripts and styles from the Essential Studio® JavaScript (Essential® JS 2) build installed location.

After installing the Essential® JS 2 product build, you can copy the pager and its dependencies scripts and style file into the resources/scripts and resources/styles folder.

Refer the below code to find location pager’s script and style file.

Syntax:

Script: **(installed location)**/Syncfusion/Essential Studio/{RELEASE_VERSION}/Essential JS 2/{PACKAGE_NAME}/dist/global/{PACKAGE_NAME}.min.js

Styles: **(installed location)**/Syncfusion/Essential Studio/{RELEASE_VERSION}/Essential JS 2/{PACKAGE_NAME}/styles/material.css

Example:

Script: C:/Program Files (x86)/Syncfusion/Essential Studio/15.4.30/Essential JS 2/ej2-grids/dist/global/ej2-grids.min.js

Styles: C:/Program Files (x86)/Syncfusion/Essential Studio/15.4.30/Essential JS 2/ej2-grids/styles/material.css

After copying the files, then you can refer the pager’s scripts and styles into the index.html file.

<!DOCTYPE html>
  <html xmlns="http://www.w3.org/1999/xhtml">
       <head>
            <title>Essential JS 2 Pager</title>
            <!-- Essential JS 2 material base style -->
            <link href="resources/styles/base/material.css" rel="stylesheet" type="text/css"/>
            <!-- Essential JS 2 material theme -->
            <link href="resources/styles/grid/material.css" rel="stylesheet" type="text/css"/>
            <!-- Essential JS 2 Pager's dependent global script -->
            <script src="resources/scripts/ej2-base.min.js" type="text/javascript"></script>
            <!-- Essential JS 2 Pager's global script -->
            <script src="resources/scripts/ej2-grids.min.js" type="text/javascript"></script>
       </head>
       <body>
       </body>
  </html>

Using CDN link, you can directly refer the pager control’s script and style into the index.html.

Refer the pager’s CDN links as below

Syntax:

Script: http://cdn.syncfusion.com/ej2/{PACKAGE_NAME}/dist/global/{PACKAGE_NAME}.min.js

Styles: http://cdn.syncfusion.com/ej2/{PACKAGE_NAME}/styles/material.css

Example:

Script: http://cdn.syncfusion.com/ej2/ej2-grids/dist/global/ej2-grids.min.js

Styles: http://cdn.syncfusion.com/ej2/ej2-grids/styles/material.css

<!DOCTYPE html>
  <html xmlns="http://www.w3.org/1999/xhtml">
       <head>
            <title>Essential JS 2 Pager</title>
            <!-- Essential JS 2 base material theme -->
            <link href="http://cdn.syncfusion.com/ej2/ej2-base/styles/material.css" rel="stylesheet" type="text/css"/>
            <!-- Essential JS 2 pager material theme -->
            <link href="http://cdn.syncfusion.com/ej2/ej2-grids/styles/material.css" rel="stylesheet" type="text/css"/>

            <!-- Essential JS 2 Pager's dependent global script -->
            <script src="http://cdn.syncfusion.com/ej2/ej2-base/dist/global/ej2-base.min.js" type="text/javascript"></script>
            <!-- Essential JS 2 Pager's global script -->
            <script src="http://cdn.syncfusion.com/ej2/ej2-grids/dist/global/ej2-grids.min.js" type="text/javascript"></script>
       </head>
       <body>
       </body>
  </html>

Adding Pager control

Now, you can start adding Pager control in the application. For getting started, add a div element for Pager control in index.html. Then refer the index.js file into the index.html file.

<!DOCTYPE html>
  <html xmlns="http://www.w3.org/1999/xhtml">
       <head>
            <title>Essential JS 2 Pager</title>
            <!-- Essential JS 2 base material theme -->
            <link href="http://cdn.syncfusion.com/ej2/ej2-base/styles/material.css" rel="stylesheet" type="text/css"/>
            <!-- Essential JS 2 pager material theme -->
            <link href="http://cdn.syncfusion.com/ej2/ej2-grids/styles/material.css" rel="stylesheet" type="text/css"/>

            <!-- Essential JS 2 Pager's dependent global script -->
            <script src="http://cdn.syncfusion.com/ej2/ej2-base/dist/global/ej2-base.min.js" type="text/javascript"></script>
            <!-- Essential JS 2 Pager's global script -->
            <script src="http://cdn.syncfusion.com/ej2/ej2-grids/dist/global/ej2-grids.min.js" type="text/javascript"></script>
       </head>
       <body>
           <!-- Add the HTML <div> element for pager  -->
             <div id="Pager"></div>
             <script src="index.js" type="text/javascript"></script>
       </body>
  </html>

Place the following pager code in the index.js.

var pager = ej.grids.Pager();
pager.appendTo('#Pager');

Page Size

pageSize value defines the number records to be displayed per page. The default value for the pageSize is 12.

var pager = new ej.grids.Pager({
    totalRecordsCount: 20,
    pageSize: 1
});

pager.appendTo('#Pager');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 Pager</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Pager Component">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/material3.css" rel="stylesheet" />
    
    

    
    
<script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="Pager"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Page sizes

The pageSizes property in the Syncfusion® Pager control allows you to control the number of records displayed per page through a DropDownList integrated into the pager. This feature enhances the experience by providing flexibility in data viewing.

Enabling Page Sizes

To enable the pageSizes property, follow these steps:

  1. Inject the PagerDropDown into the Pager module to enable the DropDownList in the pager.

  2. Configure the pageSizes property by setting it to either true or providing an array of custom values to define the available page size options.

The following example demonstrates how to include the pageSizes property in the pager control.

ej.grids.Pager.Inject(ej.grids.PagerDropDown);
var pager = new ej.grids.Pager({
  pageSize: 10,
  totalRecordsCount: 200,
  pageSizes: [10, 20, 50, 100],
});
pager.appendTo('#Pager');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 Pager</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Pager Component">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/material3.css" rel="stylesheet" />
<script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
</head>
<body>
    <div id="container">
        <div id="Pager"></div>
    </div>
<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
</script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Page Count

pageCount value defines the number of pages to be displayed in the pager component for navigation. The default value for pageCount is 10 and value will be updated based on totalRecordsCount and pageSize values.

var pager = new ej.grids.Pager({
    totalRecordsCount: 20,
    pageSize: 1,
    pageCount: 3
});

pager.appendTo('#Pager');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 Pager</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Pager Component">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/material3.css" rel="stylesheet" />
    
    

    
    
<script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="Pager"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Run the application

Now, run the index.html in web browser, it will render the Essential® JS 2 Pager control.

Output will be appears as follows.

var pager = new ej.grids.Pager({
    pageSize: 8,
    pageCount: 3,
    totalRecordsCount: 20,
});

pager.appendTo('#Pager');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 Pager</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Pager Component">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/material3.css" rel="stylesheet" />
    
    

    
    
<script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="Pager"></div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Getting Started with React Pager Component

This section explains you the steps required to create a simple Pager and demonstrate the basic usage of the Pager component in React environment.

Dependencies

Below is the list of minimum dependencies required to use the Pager.

|-- @syncfusion/ej2-react-grids
    |-- @syncfusion/ej2-grids

Setup for Local Development

To easily set up a React application, use create-vite-app, which provides a faster development environment, smaller bundle sizes, and optimized builds compared to traditional tools like create-react-app. For detailed steps, refer to the Vite installation instructions. Vite sets up your environment using JavaScript and optimizes your application for production.

Note: To create a React application using create-react-app, refer to this documentation for more details.

To create a new React application, run the following command.

npm create vite@latest my-app

To set-up a React application in TypeScript environment, run the following command.

npm create vite@latest my-app -- --template react-ts
cd my-app
npm run dev

To set-up a React application in JavaScript environment, run the following command.

npm create vite@latest my-app -- --template react
cd my-app
npm run dev

Adding Syncfusion® packages

All the available Essential® JS 2 packages are published in npmjs.com public registry.
To install Pager component, use the following command

npm install @syncfusion/ej2-react-grids --save

Adding CSS reference

Add Pager component’s styles as given below in src/App.css.

@import "../node_modules/@syncfusion/ej2-react-grids/styles/material3.css";

To refer App.css in the application then import it in the src/App.tsx file.

Adding Pager component

Now, you can start adding Pager component in the application. For getting started, add the Pager component in src/App.tsx file using following code.

Now place the below Pager code in the src/App.tsx.
Here the Pager is rendered with totalRecordsCount which is used to render numeric container.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { PagerComponent } from '@syncfusion/ej2-react-grids';
import { data } from './datasource';
class App extends React.Component<{}, {}>{
    render() {
        return <PagerComponent totalRecordsCount = {20}>
        </PagerComponent>
    }
};
ReactDOM.render(<App />, document.getElementById('pager'));

Page Size

pageSize value defines the number of records to be displayed per page. The default value for the pageSize is 12.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { PagerComponent } from '@syncfusion/ej2-react-grids';
class App extends React.Component {
    render() {
        return <PagerComponent totalRecordsCount={20} pageSize={1}>
        </PagerComponent>;
    }
}
;
ReactDOM.render(<App />, document.getElementById('pager'));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { PagerComponent } from '@syncfusion/ej2-react-grids';
class App extends React.Component<{}, {}>{
    render() {
        return <PagerComponent totalRecordsCount = {20} pageSize = {1}>
        </PagerComponent>
    }
};
ReactDOM.render(<App />, document.getElementById('pager'));

Page sizes

The pageSizes property in the Syncfusion® Pager component allows you to control the number of records displayed per page through a DropDownList integrated into the pager. This feature enhances the experience by providing flexibility in data viewing.

Enabling Page Sizes

To enable the pageSizes property, follow these steps:

  1. Import the PagerDropDown and Pager modules from the Syncfusion® Grid package.

  2. Inject the PagerDropDown into the Pager module to enable the DropDownList in the pager.

  3. Configure the pageSizes property by setting it to either true or providing an array of custom values to define the available page size options.

The following example demonstrates how to include the pageSizes property in the pager component.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { PagerComponent, PagerDropDown, Pager } from '@syncfusion/ej2-react-grids';
Pager.Inject(PagerDropDown);
class App extends React.Component {
    render() {
        return <PagerComponent totalRecordsCount = {200} pageSize = {10} pageSizes = {[10, 20, 50, 100]}>
        </PagerComponent>
    }
}
;
ReactDOM.render(<App />, document.getElementById('pager'));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { PagerComponent, PagerDropDown, Pager } from '@syncfusion/ej2-react-grids';
Pager.Inject(PagerDropDown);
class App extends React.Component<{}, {}>{
    render() {
        return <PagerComponent totalRecordsCount = {200} pageSize = {10} pageSizes = {[10, 20, 50, 100]}>
        </PagerComponent>
    }
};
ReactDOM.render(<App />, document.getElementById('pager'));

When the pageSizes property is set to true, it utilizes the default values.

Page Count

pageCount value defines the number of pages to be displayed in the pager component for navigation.
The default value for pageCount is 10 and value will be updated based on totalRecordsCount and pageSize values.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { PagerComponent } from '@syncfusion/ej2-react-grids';
class App extends React.Component {
    render() {
        return <PagerComponent totalRecordsCount={20} pageSize={1} pageCount={3}>
        </PagerComponent>;
    }
}
;
ReactDOM.render(<App />, document.getElementById('pager'));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { PagerComponent } from '@syncfusion/ej2-react-grids';
class App extends React.Component<{}, {}>{
    render() {
        return <PagerComponent totalRecordsCount = {20} pageSize = {1} pageCount = {3}>
        </PagerComponent>
    }
};
ReactDOM.render(<App />, document.getElementById('pager'));

Run the application

Now run the npm run dev command in the console to start the development server. This command compiles your code and serves the application locally, opening it in the browser.

npm run dev

Output will be appears as follows.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { PagerComponent } from '@syncfusion/ej2-react-grids';
class App extends React.Component {
    render() {
        return <PagerComponent pageSize={8} totalRecordsCount={20} pageCount={3}>
        </PagerComponent>;
    }
}
;
ReactDOM.render(<App />, document.getElementById('pager'));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { PagerComponent } from '@syncfusion/ej2-react-grids';
class App extends React.Component<{}, {}>{
    render() {
        return <PagerComponent pageSize = {8} totalRecordsCount = {20}  pageCount = {3}>
        </PagerComponent>
    }
};
ReactDOM.render(<App />, document.getElementById('pager'));

Getting started with Vue Pager component

29 Sep 20268 minutes to read

This section explains you the steps required to create a simple pager
and demonstrate the basic usage of the pager component in Vue environment.

Prerequisites

System requirements for Syncfusion® Vue UI components

Setup Vue Environment

You can use Vue CLI to setup your vue applications.
To install Vue CLI use the following commands.

npm install -g @vue/cli
npm install -g @vue/cli-init

Create a Vue Application

Start a new Vue application using below Vue CLI command.

vue init webpack-simple quickstart

cd quickstart
npm install

Adding Syncfusion® Pager package

All the available Essential® JS 2 packages are published in npmjs.com registry.

To install pager component, use the following command

npm install @syncfusion/ej2-vue-grids --save

The –save will instruct NPM to include the grid package inside of the dependencies section of the package.json.

Registering Pager Component

You can register the pager component in your application by using the Vue.use().

Refer to the code example given below.

import { PagerPlugin } from '@syncfuion/ej2-vue-grids';

Vue.use(PagerPlugin);

Adding CSS Reference

The pager has different themes. They are:

  • Material
  • Office 365
  • Fabric
  • Bootstrap
  • High Contrast

Import pager component CSS as given below in <style> section of the App.vue file.

<style>
<!-- Material theme used for this sample -->
@import "../node_modules/@syncfusion/ej2-material-theme/styles/grid/index.css";
</style>

Adding Pager component

Add the Vue pager by using <ejs-pager> selector in <template> section of the App.vue file.

Import pager plugin into Vue application[src/App.vue] from the package @syncfusion/ej2-vue-grids.

Now place the below pager code in the App.vue.
Here the pager is rendered with totalRecordsCount which is used to render numeric container.

<template>
  <div id="app">
      <ejs-pager> </ejs-pager>
  </div>
</template>
<script setup>
import { PagerComponent as EjsPager } from '@syncfusion/ej2-vue-grids';
</script>
<style>
@import "../node_modules/@syncfusion/ej2-material-theme/styles/grid/index.css";
</style>

Modify the template in [src/app.vue] file to render the pager component.

<template>
  <div id="app">
      <ejs-pager :totalRecordsCount='20'> </ejs-pager>
  </div>
</template>
<script setup>
import { PagerComponent as EjsPager } from '@syncfusion/ej2-vue-grids';
</script>
<style>
@import "../node_modules/@syncfusion/ej2-material-theme/styles/grid/index.css";
</style>

Page Size

pageSize value defines the number of records to be displayed per page. The default value for the pageSize is 12.

<template>
  <div id="app">
      <ejs-pager :pageSize='1' :totalRecordsCount='20'> </ejs-pager>
  </div>
</template>

<script setup>

import { PagerComponent as EjsPager } from '@syncfusion/ej2-vue-grids';
</script>

<style>
@import "../node_modules/@syncfusion/ej2-material-theme/styles/grid/index.css";
</style>
<template>
  <div id="app">
      <ejs-pager :pageSize='1' :totalRecordsCount='20'> </ejs-pager>
  </div>
</template>

<script>
import { PagerComponent } from '@syncfusion/ej2-vue-grids';
export default {
name: "App",
components: {
"ejs-pager":PagerComponent
},
  data () {
    return {
    }
  }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-material-theme/styles/grid/index.css";
</style>

Page sizes

The pageSizes property in the Syncfusion® Pager component allows you to control the number of records displayed per page through a DropDownList integrated into the pager. This feature enhances the experience by providing flexibility in data viewing.

Enabling Page Sizes

To enable the pageSizes property, follow these steps:

  1. Import the PagerDropDown and Pager modules from the Syncfusion® Grid package.

  2. Inject the PagerDropDown into the Pager module to enable the DropDownList in the pager.

  3. Configure the pageSizes property by setting it to either true or providing an array of custom values to define the available page size options.

The following example demonstrates how to include the pageSizes property in the pager component.

<template>
  <div id="app">
      <ejs-pager :pageSize='10' :totalRecordsCount='200' :pageSizes="pageSizes"> </ejs-pager>
  </div>
</template>

<script setup>

import { PagerComponent as EjsPager, Pager, PagerDropDown  } from '@syncfusion/ej2-vue-grids';

Pager.Inject(PagerDropDown);
const pageSizes= [10, 20, 50, 100]
</script>

<style>
  @import "../node_modules/@syncfusion/ej2-material3-theme/styles/grid/index.css";
</style>
<template>
  <div id="app">
      <ejs-pager :pageSize='10' :totalRecordsCount='200' :pageSizes="pageSizes"> </ejs-pager>
  </div>
</template>

<script>
import { PagerComponent, Pager, PagerDropDown } from '@syncfusion/ej2-vue-grids';

Pager.Inject(PagerDropDown);

export default {
name: "App",
components: {
"ejs-pager":PagerComponent
},
  data () {
    return {
      pageSizes: [10, 20, 50, 100]
    }
  }
}
</script>

<style>
  @import "../node_modules/@syncfusion/ej2-material3-theme/styles/grid/index.css";
</style>

Page Count

pageCount value defines the number of pages to be displayed in the pager component for navigation.
The default value for pageCount is 10 and value will be updated based on totalRecordsCount
and pageSize values.

<template>
  <div id="app">
      <ejs-pager :pageSize='1' :pageCount='3' :totalRecordsCount='20'> </ejs-pager>
  </div>
</template>

<script setup>
import { PagerComponent as EjsPager } from '@syncfusion/ej2-vue-grids';
</script>

<style>
@import "../node_modules/@syncfusion/ej2-material-theme/styles/grid/index.css";
</style>
<template>
  <div id="app">
      <ejs-pager :pageSize='1' :pageCount='3' :totalRecordsCount='20'> </ejs-pager>
  </div>
</template>

<script>
import { PagerComponent } from '@syncfusion/ej2-vue-grids';
export default {
name: "App",
components: {
"ejs-pager":PagerComponent
},
  data () {
    return {
    }
  }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-material-theme/styles/grid/index.css";
</style>

Run the application

Use the following command to run the application in browser.

npm run dev

Output will be appears as follows.

<template>
  <div id="app">
      <ejs-pager :pageSize='1' :pageCount='3' :totalRecordsCount='20'> </ejs-pager>
  </div>
</template>

<script setup>
import { PagerComponent as EjsPager } from '@syncfusion/ej2-vue-grids';
</script>

<style>
@import "../node_modules/@syncfusion/ej2-material-theme/styles/grid/index.css";
</style>
<template>
  <div id="app">
      <ejs-pager :pageSize='1' :pageCount='3' :totalRecordsCount='20'> </ejs-pager>
  </div>
</template>

<script>

import { PagerComponent } from '@syncfusion/ej2-vue-grids';
export default {
name: "App",
components: {
"ejs-pager":PagerComponent,
},
  data () {
    return {
    }
  }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-material-theme/styles/grid/index.css";
</style>

Getting started with Angular Pager component

28 Sep 20268 minutes to read

This section explains you the steps required to create a simple Pager and demonstrate the basic usage of the Pager component in Angular environment.

Setup Angular Environment

You can use Angular CLI to setup your Angular applications.
To install Angular CLI use the following command.

npm install -g @angular/cli

Create an Angular Application

Start a new Angular application using below Angular CLI command.

ng new my-app
cd my-app

Installing Syncfusion Pager package

Syncfusion packages are distributed in npm as @syncfusion scoped packages. You can get all the Angular Syncfusion package from npm link.

Currently, Syncfusion provides two types of package structures for Angular components,

  1. Ivy library distribution package format
  2. Angular compatibility compiler(Angular’s legacy compilation and rendering pipeline) package.

Ivy library distribution package

Syncfusion Angular packages(>=20.2.36) has been moved to the Ivy distribution to support the Angular Ivy rendering engine and the package are compatible with Angular version 12 and above. To download the package use the below command.

Add @syncfusion/ej2-angular-grids package to the application.

npm install @syncfusion/ej2-angular-grids --save

Angular compatibility compiled package(ngcc)

For Angular version below 12, you can use the legacy (ngcc) package of the Syncfusion Angular components. To download the ngcc package use the below.

Add @syncfusion/ej2-angular-grids@ngcc package to the application.

npm install @syncfusion/ej2-angular-grids@ngcc --save

To mention the ngcc package in the package.json file, add the suffix -ngcc with the package version as below.

@syncfusion/ej2-angular-grids:"20.2.38-ngcc"

Note: If the ngcc tag is not specified while installing the package, the Ivy Library Package will be installed and this package will throw a warning.

Registering Pager Module

Import Pager module into Angular application(app.module.ts) from the package @syncfusion/ej2-angular-grids [src/app/app.module.ts].

import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { PagerModule} from '@syncfusion/ej2-angular-grids';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    PagerModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Adding CSS reference

The CSS files are available in ../node_modules/@syncfusion package folder. This can be referenced in [src/styles.css] using following code..

@import "../node_modules/@syncfusion/ej2-material3-theme/styles/grid/index.css";

Adding Pager component

Modify the template in [src/app/app.component.ts] file to render the Angular pager component. Add the Angular pager by using <ejs-pager> selector in template section of the app.component.ts file.

import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-root',
  // specifies the template string for the Pager component
  template: `<ejs-pager [totalRecordsCount]='20'>
               </ejs-pager>`
})
export class AppComponent implements OnInit {
     ngOnInit(): void {
    }

}

Page Size

pageSize value defines the number of records to be displayed per page. The default value for the pageSize is 12.

import { Component, NgModule, OnInit } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { PagerModule } from '@syncfusion/ej2-angular-grids';

@Component({
imports: [
        
        PagerModule
    ],

standalone: true,
    selector: 'app-root',
    template: `<ejs-pager [pageSize]= '1' [totalRecordsCount]='20'>
                </ejs-pager>`
})
export class AppComponent implements OnInit{

    ngOnInit(): void {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Page sizes

The pageSizes property in the Syncfusion Pager component allows you to control the number of records displayed per page through a DropDownList integrated into the pager. This feature enhances the experience by providing flexibility in data viewing.

Enabling Page Sizes

To enable the pageSizes property, follow these steps:

  1. Import the PagerDropDown and Pager modules from the Syncfusion Grid package.

  2. Inject the PagerDropDown into the Pager module to enable the DropDownList in the pager.

  3. Configure the pageSizes property by setting it to either true or providing an array of custom values to define the available page size options.

The following example demonstrates how to include the pageSizes property in the pager component.

import { Component, NgModule, OnInit } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { Pager, PagerDropDown, PagerModule } from '@syncfusion/ej2-angular-grids';

Pager.Inject(PagerDropDown);

@Component({
    imports: [
        PagerModule
    ],
    standalone: true,
    selector: 'app-root',
    template: `<ejs-pager [pageSize]= '10' [totalRecordsCount]='200' [pageSizes]="pageSizes">
                </ejs-pager>`
})
export class AppComponent implements OnInit {

    public pageSizes= [10, 20, 50, 100];

    ngOnInit(): void {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

When the pageSizes property is set to true, it utilizes the default values.

Page Count

pageCount value defines the number of pages to be displayed in the pager component for navigation.
The default value for pageCount is 10 and value will be updated based on totalRecordsCount
and pageSize values.

import { Component, NgModule, OnInit } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { PagerModule } from '@syncfusion/ej2-angular-grids';

@Component({
imports: [
        
        PagerModule
    ],

standalone: true,
    selector: 'app-root',
    template: `<ejs-pager [pageSize]='1' [pageCount]='3' [totalRecordsCount]='20'>
                </ejs-pager>`
})
export class AppComponent implements OnInit{

    ngOnInit(): void {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Run the application

The quickstart project is configured to compile and run the application in browser. Use the following command to run the application.

ng serve --open

Output will be appears as follows.

import { Component, NgModule, OnInit } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { PagerModule } from '@syncfusion/ej2-angular-grids';

@Component({
imports: [
        
        PagerModule
    ],
standalone: true,
    selector: 'app-root',
    template: `<ejs-pager [pageSize]='8' [pageCount]='3' [totalRecordsCount]='20'>
                </ejs-pager>`
})
export class AppComponent implements OnInit{

    ngOnInit(): void {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));